import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import IstioLogoLight from './IstioLogoLight';
import IstioLogoDark from './IstioLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const IstioLogoSvg = forwardRef(function IstioLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(IstioLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(IstioLogoLight, Object.assign({}, props, { ref: ref }));
});
export default IstioLogoSvg;
